Get the full file tree for a project.
curl --request GET \
--url https://api.parallellabs.app/api/v0/projects/{project_id}/tree \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/projects/{project_id}/tree"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/projects/{project_id}/tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tree": [
{
"children": [
{}
],
"id": "<string>",
"name": "<string>",
"path": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Projects
Get the full file tree for a project.
Returns nested tree structure with all files and directories.
GET
/
api
/
v0
/
projects
/
{project_id}
/
tree
Get the full file tree for a project.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Query Parameters
Company ID
Response
Project file tree
Project file tree
Root level nodes
Show child attributes
Show child attributes
⌘I

